Bug 1792303 - CVE-2019-20018 matio: stack-based buffer overflow in ReadNextCell in mat5.c [epel-7]
Summary: CVE-2019-20018 matio: stack-based buffer overflow in ReadNextCell in mat5.c [...
Keywords:
Status: ON_QA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: matio
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-20018
TreeView+ depends on / blocked
 
Reported: 2020-01-17 13:46 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-09-18 18:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github tbeu matio issues 133 None None None 2020-01-17 15:25:19 UTC

Description Guilherme de Almeida Suckevicz 2020-01-17 13:46:50 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-7.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Guilherme de Almeida Suckevicz 2020-01-17 13:46:52 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1792300,1792303

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-09-17 21:48:30 UTC
FEDORA-2020-5a44a95294 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5a44a95294

Comment 3 Fedora Update System 2020-09-17 21:48:59 UTC
FEDORA-EPEL-2020-9720b9f379 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9720b9f379

Comment 4 Fedora Update System 2020-09-17 21:49:01 UTC
FEDORA-2020-67cee1f30a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-67cee1f30a

Comment 5 Fedora Update System 2020-09-17 21:49:28 UTC
FEDORA-EPEL-2020-e621d9ff68 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e621d9ff68

Comment 6 Fedora Update System 2020-09-17 21:49:56 UTC
FEDORA-2020-6cc434b937 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6cc434b937

Comment 7 Fedora Update System 2020-09-18 15:36:33 UTC
FEDORA-EPEL-2020-e621d9ff68 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e621d9ff68

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-18 15:41:45 UTC
FEDORA-EPEL-2020-9720b9f379 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9720b9f379

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-18 16:41:43 UTC
FEDORA-2020-6cc434b937 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6cc434b937`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6cc434b937

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-09-18 16:42:55 UTC
FEDORA-2020-5a44a95294 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5a44a95294`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5a44a95294

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-09-18 18:59:40 UTC
FEDORA-2020-67cee1f30a has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-67cee1f30a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-67cee1f30a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.